Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deApiNodeTree Class Reference

`#include <deApi_Private.hpp>`

Inheritance diagram for deApiNodeTree:

[legend]
Collaboration diagram for deApiNodeTree:

[legend]
List of all members.

## Public Member Functions
deApiHandle | GetNode (unsigned long runtimeID)
void | GetNodes (deTArray< unsigned long > &aReturn, deString &TypeFilter=deString(""), int iMaxCount=-1)
| deApiNodeTree ()
| ~deApiNodeTree ()
## Public Attributes
| DECLARE_RTI
## Private Member Functions
unsigned long | AddNode (deApiObject *pNewObject)
bool | DestroyNode (unsigned long runtimeID)
deApiObject * | GetApiObject (unsigned long runtimeID)
## Private Attributes
deTArray< deApiObject * > | m_tarrayNodes
deTArray< unsigned long > | m_runtimeIDs
## Friends
class | deApi
class | deApiHandle
class | deApiFn

## Constructor & Destructor Documentation

deApiNodeTree::deApiNodeTree | ( |  | ) |

deApiNodeTree::~deApiNodeTree | ( |  | ) |

## Member Function Documentation

unsigned long deApiNodeTree::AddNode | ( | deApiObject * | pNewObject | ) | `[private]`

bool deApiNodeTree::DestroyNode | ( | unsigned long | runtimeID | ) | `[private]`

deApiObject * deApiNodeTree::GetApiObject | ( | unsigned long | runtimeID | ) | `[private]`

deApiHandle deApiNodeTree::GetNode | ( | unsigned long | runtimeID | ) |

void deApiNodeTree::GetNodes | ( | deTArray< unsigned long > & | aReturn,
|  | deString & | TypeFilter = deString(""),
|  | int | iMaxCount = -1
| ) |

## Friends And Related Function Documentation

friend class deApi`[friend]`

friend class deApiFn`[friend]`

friend class deApiHandle`[friend]`

## Member Data Documentation

deApiNodeTree::DECLARE_RTI

| Reimplemented from deApiObject.

deTArray<unsigned long> deApiNodeTree::m_runtimeIDs`[private]`

deTArray<deApiObject*> deApiNodeTree::m_tarrayNodes`[private]`

The documentation for this class was generated from the following files:

- deApi_Private.hpp
- deApi.cpp